Исключить экран xLarge для версии Android SDK 2.1

Я создал приложение, которое выйдет на рынок. Минимальная версия SDK для этого приложения – 7, а целевой SDK – 8. Но когда я его загрузил, приложение также поддерживает экран xLarge и вызывает сбой для моего приложения. Как я могу исключить поддержку экрана xLarge, сохраняя существующую настройку SDK?

См. Документ- манифест манифеста -экранов . Просто установите цель на 9 или выше, и вы можете использовать xlarge. Любое устройство, находящееся ниже уровня api 9, не должно объявлять себя как xlarge и, следовательно, все равно сможет установить ваше приложение . То что недостаток, которым пользуются пользователи, для Android-планшета с версией Android (<3.0), которая не была разработана с учетом таблиц! Я бы не стал слишком беспокоиться о том, что пользователи планшета работают с версиями Android 3.0 (сотовые), видя ваше приложение в не идеальном состоянии, поскольку они наиболее точно используются для приложений, которые выглядят менее совершенными с помощью этой конфигурации устройства. Я не знаю, готовы ли какие-либо планшеты до 3.0 даже для поддержки рынка?!

Также см. Dc-параметр атрибута x-large, в котором указано значение по умолчанию для этого, будет меняться в зависимости от версии устройства, поэтому лучше всего его объявить.

Все, что в манифесте, введенное в новой версии платформы, которое запускает приложение, которое запускает приложение, будет просто проигнорировано. Это относится и к любым атрибутам макета xml.

Я бы подумал, что размер экрана будет разработан с разрешения экрана и плотности, я не уверен, что OEM устанавливает это во время сборки или если это вычисление времени выполнения. Было бы хорошо, если бы это было сделано на основе спецификаций устройства, но у меня есть чувство жесткого значения (я мог ошибаться). В любом случае я не думаю, что его обратная совместимость (что означает, что это будет просто проигнорировано) в манифесте, поскольку папки с конкретными ресурсами не будут.

Из интереса, почему вы не хотите, чтобы ваша цель превышала уровень 8 уровня api?